Skip to main content
GET
/
v0
/
markets
List all markets
curl --request GET \
  --url https://markets.dial.to/api/v0/markets \
  --header 'x-dialect-client-key: <api-key>'
{
  "markets": [
    {
      "id": "<string>",
      "type": "<unknown>",
      "productName": "<string>",
      "provider": {
        "id": "kamino",
        "name": "<string>",
        "icon": "<string>"
      },
      "token": {
        "address": "<string>",
        "symbol": "<string>",
        "decimals": 123,
        "icon": "<string>"
      },
      "depositApy": 123,
      "baseDepositApy": 123,
      "borrowApy": 123,
      "baseBorrowApy": 123,
      "totalDeposit": 123,
      "totalBorrow": 123,
      "maxBorrow": 123,
      "actions": {},
      "websiteUrl": "<string>",
      "baseDepositApy30d": 123,
      "baseDepositApy90d": 123,
      "baseDepositApy180d": 123,
      "baseBorrowApy30d": 123,
      "baseBorrowApy90d": 123,
      "baseBorrowApy180d": 123,
      "totalDepositUsd": 123,
      "totalBorrowUsd": 123,
      "maxDeposit": 123,
      "rewards": [
        {
          "type": "<unknown>",
          "apy": 123,
          "token": {
            "address": "<string>",
            "symbol": "<string>",
            "decimals": 123,
            "icon": "<string>"
          },
          "marketAction": "<string>"
        }
      ],
      "maxLtv": 0.5,
      "liquidationLtv": 0.5,
      "liquidationPenalty": 0.5,
      "additionalData": {}
    }
  ],
  "cursor": "<string>"
}

Authorizations

x-dialect-client-key
string
header
default:pk_demo
required

Client key for the Markets API

Query Parameters

type
string

Comma separated list of market types (lending, yield, loop, perpetual, prediction).

provider
string

Comma separated list of provider IDs (marginfi, kamino, lulo, jupiter, defituna, carrot, dflow).

asset
string

Filter by token mint address (comma-separated). Not supported for prediction markets. Requires an explicit type filter that excludes prediction (e.g. type=lending,yield,loop,perpetual).

cursor
string

Cursor for pagination

limit
integer
default:50

Number of markets to return (default: 50, max: 200)

Required range: 1 <= x <= 200
filters
string

URL-encoded JSON object for filtering. For prediction markets: {"prediction":{"status":"open"|"closed"|"settled"}} or {"prediction":{"status":["open","closed"]}}. Accepts single status or array. Default status is "open" for prediction markets.

Response

200 - application/json

OK

markets
object[]
required
cursor
string | null
required

Cursor for the next page, null if no more results